> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance Changes Day wise By Network

> Returns a list of balance changes associated with the specified address.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/network/balances
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/network/balances:
    get:
      tags:
        - Network Information
      summary: Get Balance Changes Day wise By Network
      description: Returns a list of balance changes associated with the specified address.
      operationId: getBalancesByNetwork
      parameters:
        - name: network
          required: true
          in: query
          description: Network of Address
          schema:
            type: string
        - name: startTime
          required: true
          in: query
          description: Start time
          schema:
            type: string
        - name: endTime
          required: true
          in: query
          description: End Time
          schema:
            type: string
      responses:
        '200':
          description: >-
            Balance Changes Day wise By Network. This includes both incoming and
            outgoing transactions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalancesInfo'
components:
  schemas:
    BalancesInfo:
      type: object
      properties:
        total:
          type: number
        balances:
          type: array
          items:
            $ref: '#/components/schemas/Balance'
      required:
        - total
        - balances
    Balance:
      type: object
      properties:
        denom:
          type: string
        net_balance_change:
          type: number
        date:
          type: string
        total_received:
          type: number
        total_sent:
          type: number
      required:
        - denom
        - net_balance_change
        - date
        - total_received
        - total_sent
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````